> For the complete documentation index, see [llms.txt](https://chameleoncloud.gitbook.io/chi-in-a-box/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://chameleoncloud.gitbook.io/chi-in-a-box/reference/ironic-flat-networking.md).

# Ironic Flat Networking

{% hint style="danger" %}
This method carries security risks! Nodes all share the same L2 and L3 domain with the controller, so you must implement security methods outside the scope of Openstack.
{% endhint %}

To use a single network for API, provisioning, and tenant networking, you'll need the following configuration options in your defaults.yml

When configuring your network, make sure to set the network-type to 'flat'

```
  - name: physnet1
    bridge_name: br-physnet1
    external_interface: veth-internalb
    network_type: 'flat'
    sharednet:
      cidr: '172.40.0.0/24' # cidr of your netblock
      allocation_pools:
        - start: '172.40.0.129'
          end: '172.40.0.254'
          
```

You'll also need to override two defaults

```
ironic_provisioning_network: sharednet1
neutron_tenant_network_types: flat
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://chameleoncloud.gitbook.io/chi-in-a-box/reference/ironic-flat-networking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
